slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDGetIterationNumber

Gets the current iteration number. If the call to SVDSolve() is complete, then it returns the number of iterations carried out by the solution method.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetIterationNumber(SVD svd,PetscInt *its)

Not Collective

### Input Parameter

| svd | - the singular value solver context

### Output Parameter

| its | - number of iterations

### Note

During the i-th iteration this call returns i-1. If SVDSolve() is complete, then parameter "its" contains either the iteration number at which convergence was successfully reached, or failure was detected. Call SVDGetConvergedReason() to determine if the solver converged or failed and why.

### See Also

SVDGetConvergedReason(), SVDSetTolerances()

### Level

intermediate

### Location

src/svd/interface/svdsolve.c

### Examples

src/svd/tutorials/ex14.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages